Home | All Classes | Grouped Classes | Index | Search

# CL_Zip_Archive::add_file

Adds a file to zip archive. Adds a file to zip archive with extra parameters

    	void add_file(
    		const std::string& filename, bool compress = true);

    	void add_file(
    		const std::string& input_filename, const std::string& filename_in_archive, bool compress = true);

Parameters:

filename
  Filename of file.

Detailed description:

File is not added to zip file until it save() is called.

This versions allows you to set filename to any path you wish, to flexibily construct file tree layouts in the zip. input_filename should be the true path and filename of the source file.

See also:

CL_Zip_Archive

Questions or comments, write to the ClanLib mailing list.